<?php
/*
Template Name: Weekly Posts - rickheck version of STB template */
//
// based on STB's Supercharge with RGH mod for weekly posts
// 	info about STB's template is here 
// 		http://forum.bytesforall.com/showthread.php?t=11329 
//
//
// base code is STB v1.4 for Ata 3.6.7 version 1.4
// for Atahualpa 3.6.7+ and WordPress 3.3.0+ 
// will work with Wordress 3.0 and higher (has been tested with WP 3.3.1 and Atahualpa 3.6.7+)
//
// ------------------------------------------------------------------------------------
// STB template modified by Rick Hellewell  8-Jul-2011 and 9-Jan-2012
//		- shows a week's worth of posts
//		- in date order (Sunday through Saturday)
//		- extracts posts titles for display at top of page
//		- creates internal links from the titles to the post on that page
//		- does not do paging; displays all of the posts for a week
//			- but does have links to next/previous weeks
//		- all variables with RGH mod start with RGH
//		- RGH mods heavily ocmmented and noted where they add to the STB
//
//	Note: hard coded to work with posts starting in 2011 year; adjust earlier year under this comment block
//
//	Props to 'STB' for getting me started on this
//		Comments to "rickheck" on the Atahualpa forum
//
//	Usage:
//		- copy this template to the root folder of your Atahualpa theme
//		- create/modify a page and select the template (shown as "Weekly Posts - rickheck version of STB template")
//		- (optional) use a field called "custom_query" with a value of "category=<categoryname>" to select posts
//			with just that category. Note that the <categoryname> value cannot contain a space character
//		- the result will be the current week's posts displayed, with links to prior weeks. 
//			posts will be in date order (Sunday through Saturday))
//			
//
// ------------------------------------------------------------------------------------
$rgh_earliest_year = 2011 ;		// will only show posts from 2011 and later, adjust as needed
?>
<?php
//	get all options:
list($bfa_ata, $cols, $left_col, $left_col2, $right_col, $right_col2, $bfa_ata['h_blogtitle'], $bfa_ata['h_posttitle']) = bfa_get_options();
get_header();
extract($bfa_ata);

//	Save $post (static page content) in global so it can be retrieved in right sidebar,
//	not necessary for left sidebar since it comes before the main column.
global $STB_StaticPage_post; $STB_StaticPage_post=$post;

//	Check if we are on front_page and save in global $STB_is_front_page.
//	is_front_page() will not work in or below the custom query posts LOOP, use $STB_is_front_page instead.
global $STB_is_front_page; $STB_is_front_page=null;
if ($STB_StaticPage_post->ID == get_option('page_on_front')) {$STB_is_front_page = 1;}
?>
<?php
//	Get main content of static page
$STB_myPagePost = new WP_Query('page_id=' . $post->ID);
$STB_myPagePost->the_post();

//	Show main pagecontent of static page
	// Deactivated since 3.6.5
	#include 'bfa://content_inside_loop'; 
	// Uses the following static code instead: ?>
<?php bfa_next_previous_post_links('Top'); // For SINGLE post pages if activated at ATO -> Next/Previous Navigation  ?>
<?php /* Post Container starts here */
	if ( function_exists('post_class') ) { ?>

<div <?php if ( is_page() ) { post_class('post'); } else { post_class(); } ?> id="post-<?php the_ID(); ?>">
<?php } else { ?>
<div class="<?php echo ( is_page() ? 'page ' : '' ) . 'post" id="post-'; the_ID(); ?>">
  <?php } ?>
  <?php bfa_post_kicker('<div class="post-kicker">','</div>'); ?>
  <?php bfa_post_headline('<div class="post-headline">','</div>'); ?>
  <?php bfa_post_byline('<div class="post-byline">','</div>'); ?>
  <?php bfa_post_bodycopy('<div class="post-bodycopy clearfix">','</div>'); ?>
  <?php bfa_post_pagination('<p class="post-pagination"><strong>'.__('Pages:','atahualpa').'</strong>','</p>'); ?>
  <?php bfa_post_footer('<div class="post-footer">','</div>'); ?>
</div>
}
<?php // END of main content of static page ?>
<?php
//	Get query arguments from metadata as string
//	Should be defined in the page, in Custom Field 'custom_query'
$STB_query_args = get_post_meta($post->ID,'custom_query', true); ?>
<?php if($STB_query_args!='') { // skip this whole section if we dont have a query  ?>
<?php
		//	Normally WordPress only paginates posts on the homepage ("Your latest posts" / "Posts page")
		//	Solve pagination problem on non-homepages: check both on query_var 'paged' and 'page', else set to 1 as default
		switch(true)	{
				case (get_query_var('paged')):
				$paged = get_query_var('paged');
				break;
				
				case (get_query_var('page')):
				$paged = get_query_var('page');
				break;
				
				default:
				$paged = 1;
				}
		$STB_query_args= $STB_query_args."&paged=$paged";
		?>
<?php
		//	Should we use the 'read more' tag?
		global $more;
		$more = (stristr($STB_query_args,'usemoretag=0') === true) ? 1 :0; //by default respect the 'read more' tag, unless we find "usemoretag=0" (case insensitive)
		?>
<?php
// ------------------------------------------------------------------------------------
// Part 1 of RGH mod for showing weekly posts
// added by Rick Hellewell 6-July-2011
// shows all posts from a specific week (defaults to current week), ordered by oldest to newest
//
// grab the year/month values passed in the query and make them safe from idiot hackers
$rgh_pageid = urldecode($_GET['page_id']);
if (isset($_GET['year']))  {$rgh_thisyear = urldecode($_GET['year']);}	// get year value from query string if it is there
if (isset($_GET['w']))  {$rgh_thisweek = urldecode($_GET['w']);}	// get week value from query string if it is there

// build default value for week variable (if not in the URL) and error checking for invalid week values
if ((!isset($rgh_thisweek)) or ($rgh_thisweek < 1 or $rgh_thisweek > 52)) {$rgh_thisweek = date('W'); }		// default to current week
// build default value for thisyear variable (if not in the URL) and error check for invalid year values
// limits year values earlier than the $rgh_earliest_year value set at the top of this code
 if ((!isset($rgh_thisyear)) or ($rgh_thisyear < $rgh_earliest_year or $rgh_thisyear > date('Y'))){ $rgh_thisyear = date('Y'); }		// default to current year
// build the values that will be used in the query string and links for the next and previous weeks
$rgh_nextweek = $rgh_thisweek +1;
$rgh_lastweek = $rgh_thisweek - 1;
$rgh_nextyear = $rgh_thisyear;
$rgh_lastyear = $rgh_thisyear;
if ($rgh_nextweek > 52) {$rgh_nextweek = 1; $rgh_nextyear = $rgh_thisyear + 1;} // adjust for year boundary
if ($rgh_lastweek < 1) { $rgh_lastweek = 52; $rgh_lastyear = $rgh_thisyear - 1;} // adjust for year boundary
// check to ensure not in the future
$rgh_nextflag = true;		// flag used to disable display of 'next week' if the page is showing the current week
if (($rgh_thisyear == date('Y')) and ($rgh_thisweek > date('W')) ) {
	$rgh_thisyear = date('Y');
	$rgh_thisweek = date('W');
	$rgh_nextflag = false;
							  }
// build the query to use for the current page, added to the STB query value
// add to the STB query the current year/month parameter, plus an "order='asc'" paramenter
$STB_query_args = $STB_query_args .'&year=' . $rgh_thisyear . '&w=' . $rgh_thisweek . '&order=asc';
// built the queries to use for the next and previous week links
$rgh_urlquery_next = '&page_id=' . $rgh_pageid . '&year=' . $rgh_nextyear . '&w=' . $rgh_nextweek . "&order=asc";	// for the next week
$rgh_urlquery_prev = '&page_id=' . $rgh_pageid . '&year=' . $rgh_lastyear . '&w=' . $rgh_lastweek . "&order=asc"; // for the previous week
// start building the next/prev link tag
$rgh_prevnext_links =  "<div align='center'>"; 		// a nice center div
$rgh_prevnext_links = $rgh_prevnext_links . "<a href='?" . $rgh_urlquery_prev . "' alt='Previous Week'>Previous Week</a>"; // show previous week link
// only show next week's link if we are not on the current week's page
if ($rgh_nextflag) {$rgh_prevnext_links = $rgh_prevnext_links . " | <a href='?" . $rgh_urlquery_next . "' alt='Next Week'>Next Week</a>";}
$rgh_prevnext_links = $rgh_prevnext_links . "</div>";		// and close the next/prev div area
// perform the query to grab all of the post titles and links to build internal links that junp to specific item on page
query_posts($STB_query_args);
// the title area for the week's links
$rgh_allthelinks = "<div align='center' class='widget-title'><h3>This Week's Entries</h3></div><br>";
echo "<div class='post'>";		// use the posts' CSS format
// loop through the query to grab the title and link and build the week's link list
while(have_posts()): the_post();	
	$rgh_postcounter ++;		// counter to build the link reference
	$rgh_allthelinks = $rgh_allthelinks . "<a href='#rgh_post" . $rgh_postcounter. "' >" . the_title('','',false) . "</a><br>";
endwhile;		// end of the first pass through the query
// time to display the week's link list
echo  $rgh_allthelinks ;		// puts the links on the page
// plus the next/previous link code
echo "<br>" . $rgh_prevnext_links . "</div>"; 	// plus the closing div for the post-bodycopy
$rgh_allthelinks = "" ; 	// used to build the title text and links placed into the div
$rgh_postlinknumber = 0;
// end Part 1 weekly post mod by Rick Hellewell
// next section is back to STB's code
// ------------------------------------------------------------------------------------
?>
<?php	/*  --------- Note: The function is_front_page() will *always* return false below this point. You can use global variable $STB_is_front_page instead. ---------*/ ?>
<?php
		//	Do our query
		query_posts($STB_query_args);		
		?>
<?php
		//	If there are any posts, start of the LOOP:
		if (have_posts()) : $bfa_ata['postcount'] = 0; /* Postcount needed for option "XX first posts full posts, rest excerpts" */ ?>
<?php // Deactivated since 3.6.5
			# include 'bfa://content_above_loop'; 
			// Uses the following static code instead: ?>
<?php bfa_next_previous_page_links('Top'); // For MULTI post pages if activated at ATO -> Next/Previous Navigation:  ?>
<?php if( is_category() AND function_exists('page2cat_output')) { page2cat_output($cat); } // For the plugin Page2Cat http://wordpress.org/extend/plugins/page2cat/ ?>
<?php /* The LOOP starts here. Do this for all posts: */
			while (have_posts()) : the_post(); $bfa_ata['postcount']++; ?>
<?php             
// ------------------------------------------------------------------------------------
// Part 2 of RGH mod for showing weekly posts
// creates the target link for the post
// (yes, that's not quite according to the standards, but somewhere in WP they force a </a> at the end of a paragraph if you use
//		the proper syntax for the target link -->   <a id='linkname' />   )
$rgh_postlinknumber++;
echo "<a id='rgh_post" . $rgh_postlinknumber  . "'></a>";            
// ------------------------------------------------------------------------------------
// back to the STB code
?>
<?php // Deactivated since 3.6.5
				#include 'bfa://content_inside_loop'; 
				// Uses the following static code instead: ?>
<?php bfa_next_previous_post_links('Top'); // For SINGLE post pages if activated at ATO -> Next/Previous Navigation  ?>
<?php /* Post Container starts here */
				if ( function_exists('post_class') ) { ?>
<div <?php if ( is_page() ) { post_class('post'); } else { post_class(); } ?> id="post-<?php the_ID(); ?>">
<?php } else { ?>
<div class="<?php echo ( is_page() ? 'page ' : '' ) . 'post" id="post-'; the_ID(); ?>">
  <?php } ?>
  <?php bfa_post_kicker('<div class="post-kicker">','</div>'); ?>
  <?php bfa_post_headline('<div class="post-headline">','</div>'); ?>
  <?php bfa_post_byline('<div class="post-byline">','</div>'); ?>
  <?php bfa_post_bodycopy('<div class="post-bodycopy clearfix">','</div>'); ?>
  <?php bfa_post_pagination('<p class="post-pagination"><strong>'.__('Pages:','atahualpa').'</strong>','</p>'); ?>
  <?php bfa_post_footer('<div class="post-footer">','</div>'); ?>
</div>
<!-- / Post -->
<?php /* END of the LOOP */


			endwhile; ?>
<?php
// ------------------------------------------------------------------------------------
// Part 3 of RGH mod for showing weekly posts
// Rick Hellewell 6-July-2011
// show the next/prev links we previously built at the bottom of the page also
echo "<div class='posts'>" . $rgh_allthelinks . "<br>";
echo $rgh_prevnext_links . "</div>";
// end of Part 3 of RGH mod
// back to STB code
// ------------------------------------------------------------------------------------
?>
<?php // Deactivated since 3.6.5
# include 'bfa://content_below_loop'; 
// Uses the following static code instead: ?>
<?php bfa_next_previous_post_links('Middle'); // Displayed on SINGLE post pages if activated at ATO -> Next/Previous Navigation: ?>
<?php bfa_get_comments(); // Load Comments template (on single post pages, and static pages, if set on options page): ?>
<?php bfa_next_previous_post_links('Bottom'); // Displayed on SINGLE post pages if activated at ATO -> Next/Previous Navigation: ?>
<?php bfa_archives_page('<div class="archives-page">','</div>'); // Archives Pages. Displayed on a specific static page, if configured at ATO -> Archives Pages: ?>
<?php bfa_next_previous_page_links('Bottom'); // Displayed on MULTI post pages if activated at ATO -> Next/Previous Navigation: ?>
<?php /* END of: If there are any posts */
		
		else : /* If there are no posts: */ ?>
<?php
			//	Should we show 'content not found' when we dont have post?
			//	(Optional because showing 'no content found' when we dont have post while we *do* have static page content, might look silly.)
			//	By default dont show 'content not found', unless we find "show_contentnotfound=1" (case insensitive)
			if (stristr($STB_query_args,'show_contentnotfound=1')) { ?>
<?php // Deactivated since 3.6.5
				#include 'bfa://content_not_found'; 
				// Uses the following static code instead: ?>
<h2>
  <?php _e('Not Found','atahualpa'); ?>
</h2>
<p>
  <?php _e("Sorry, but you are looking for something that isn't here.","atahualpa"); ?>
</p>
<?php } ?>
<?php endif; /* END of: If there are no posts */ ?>
<?php } // END of: if($STB_query_args!='') ?>
<?php // Restore static page postcontent, Atahualpa needs this in some cases to correctly set the footer and right sidebar(s)
$wp_query = $STB_myPagePost; ?>
<?php	/*  --------- Note: From this point. the function is_front_page() will return a correct value again. ---------*/ ?>
<?php get_footer(); 
// the end
?>
